
QGIS Application - Feature request #14905

'Processing Toolbox' - Add 'Save to virtual layer' option

2016-05-26 09:04 AM - R. R.

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 22858

Description

A 'Save to virtual layer' option for buffers, intersections and other geoalgorithms may be helpful for users without SQL skills.

Related issues:

Related to QGIS Application - Feature request # 16237: Filter Layers  by spat... Open 2017-02-27

History

#1 - 2016-06-01 12:40 PM - R. R.

Related: #14946 (Add 'Modify input layer' option)

#2 - 2016-06-27 10:40 AM - R. R.

Perhaps a separate provider (e.g. QGIS virtual geoalgorithms) would be easier to implement in the processing toolbox.

#3 - 2016-06-27 10:41 AM - R. R.

- File buffer_dummy added

#4 - 2016-06-27 10:41 AM - R. R.

- File buffer_dummy.png added

#5 - 2017-02-24 10:14 AM - R. R.

- File vl_pointonsurface_qgis_2x.mp4 added

- File vl_pointonsurface_qgis_2x.py added

- File vl_pointonsurface_qgis_2x.qgs added

- File geometries.gpkg added

Here comes a small script that creates a virtual layer. Can somebody help me to add an 'Attributes to keep' option?

#6 - 2017-02-27 12:16 AM - R. R.

- File vl_select_by_spatial_relationship_qgis_2x.py added

- File select_by_spatial_relationship.mp4 added

- File select_by_spatial_relationship.qgs added

- File geometries_select_by_spatial_relationship.gpkg added

Select by spatial relationship:
#7 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-19 09:06 AM - Jürgen Fischer

- Related to Feature request #16237: Filter Layers  by spatial relationships to other layers within a qgis session added

#9 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

Files

buffer_dummy 102 KB 2016-06-27 R. R.

buffer_dummy.png 102 KB 2016-06-27 R. R.

geometries.gpkg 14 KB 2017-02-24 R. R.

vl_pointonsurface_qgis_2x.qgs 26.4 KB 2017-02-24 R. R.

vl_pointonsurface_qgis_2x.py 790 Bytes 2017-02-24 R. R.

vl_pointonsurface_qgis_2x.mp4 1.55 MB 2017-02-24 R. R.

geometries_select_by_spatial_relationship.gpkg 15 KB 2017-02-26 R. R.

select_by_spatial_relationship.qgs 81.4 KB 2017-02-26 R. R.

vl_select_by_spatial_relationship_qgis_2x.py 2.49 KB 2017-02-26 R. R.

select_by_spatial_relationship.mp4 2.75 MB 2017-02-26 R. R.
